#property copyright "mladen"
#property link      ""

#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1  clrDeepSkyBlue
#property indicator_color2  clrBlack
#property indicator_color3  clrRed
#property indicator_width1  2
#property indicator_width3  2

//
//
//
//
//

extern int                RsiPeriod       = 14;
extern ENUM_APPLIED_PRICE RsiPrice        = PRICE_CLOSE;

double rsi[];
double rsid[];
double rsic[];

//------------------------------------------------------------------
//
//------------------------------------------------------------------
//
//
//
//
//

int init()
{
   SetIndexBuffer(0,rsi);
   SetIndexBuffer(1,rsid); SetIndexStyle(1,DRAW_ARROW); SetIndexArrow(1,159);
   SetIndexBuffer(2,rsic);
   IndicatorShortName("rsi ("+(string)RsiPeriod+")");
   return(0);
}
int deinit()
{
   return(0);
}


//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);

   //
   //
   //
   //
   //
   
   for(int i=limit; i>=0; i--)
   {
      rsi[i]  = iRSI(NULL,0,RsiPeriod,RsiPrice,i);
      rsid[i] = rsi[i];
      rsic[i] = EMPTY_VALUE;
   }      
   rsic[0] = rsi[0]; rsic[1] = rsi[1];
   return(0);
}
